
Core - Feature # 66514

Status: New Priority: Should have
Author: Bernhard Eckl Category: File Abstraction Layer (FAL)
Created: 2015-04-21 Assigned To:
Updated: 2015-06-15 Due date:
PHP Version:
Complexity: medium
Sprint Focus:
Subject: Better UI to move multiple files or folders
Description

Currently with fal there is no possibility to move multiple files or a whole folder. This can be very annoying moving file by file if there
are a lot of files.

Related issues:
related to Core - Feature # 48644: Easy way to replaceReferences Accepted 2013-05-29
related to Core - Feature # 56133: Replace file feature for fal file list Resolved 2014-02-19

History
#1 - 2015-04-21 11:57 - Markus Klein
- Status changed from New to Needs Feedback

What about using the clipboard?

#2 - 2015-04-21 11:59 - Bernhard Eckl

When using the clipboard it is only possible to copy or delete multiple files, but not move multiple files or folders. On bigger sites you have a lot of files
in fileadmin, for maintenance this should be possible.

#3 - 2015-04-21 12:14 - Markus Klein

You can change the mode of the clipboard to move.

#4 - 2015-04-21 13:09 - Bernhard Eckl

Thanks (it was different with DAM), found it. Having two buttons, one for copying and one for move (like the behaviour with records in the page tree),
would be easier to understand without the need of an explanation. When using DAM there were these two buttons.

#5 - 2015-04-21 13:29 - Markus Klein
- Status changed from Needs Feedback to Closed

I never used DAM, so no idea what they did there.

Closing this now.
#6 - 2015-04-21 13:53 - Bernhard Eckl
- File Bildschirmfoto 2015-04-21 um 13.50.35.png added

When using DAM it was easier, you don’t have to teach an editor the he has to use a clipboard to be able to move a file (not so intuitive). Check the
attached screenshot for DAM, this is / was not bad. Please reopen.

#7 - 2015-04-21 14:32 - Markus Klein
- Subject changed from Move multiple files or whole folders to Better UI to move multiple files or folders
- Status changed from Closed to New
- Target version set to 7.4 (Backend)
- Complexity set to medium

#8 - 2015-04-28 22:59 - Frans Saris

The current clipboard behaviour in File List is the same as for the Web List module. So if this is UX wise not working we should try to find a general
better solution and not only one that works for File List.
